Package: org.gradle.api.plugins.sonar.model

## [Groovy] Interface SonarModel

- Base interface for Sonar models on analysis roots and their subprojects.

  deprecated:
    The 'sonar' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<SonarModel>` | `getChildModels()` Returns the Sonar model objects for this project's child projects.
    `SonarProject` | `getProject()` Returns per-project configuration options.

- - ### Method Detail

    - #### List<SonarModel> getChildModels()

      Returns the Sonar model objects for this project's child projects.

      Returns:
        the Sonar model objects for this project's child projects

    - #### SonarProject getProject()

      Returns per-project configuration options.

      Returns:
        per-project configuration options